package de.starface.examples.uci30.swing;

import javax.swing.UIManager;

import de.starface.examples.uci30.swing.model.ConnectionManager;
import de.starface.examples.uci30.swing.model.UciConnectionManager;
import de.starface.examples.uci30.swing.view.DemoClientFrame;
import de.starface.examples.uci30.swing.viewmodel.DemoClientViewModel;

public class DemoClient
{
	
	/**
	 * Main entry of the class.
	 */
	public static void main(String[] args)
	{
		installLnF();
		createAndShowGui();
	}
	
	private static void installLnF()
	{
		String[] lookAndFeels = { "com.sun.java.swing.plaf.windows.WindowsLookAndFeel",
				"com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel",
				UIManager.getCrossPlatformLookAndFeelClassName() };
		
		for (String lnfClassname : lookAndFeels)
		{
			try
			{
				UIManager.setLookAndFeel(lnfClassname);
				break;
			}
			catch (Exception e)
			{
				System.err.println("Cannot install " + lnfClassname + " on this platform:" + e.getMessage());
			}
		}
	}
	
	private static void createAndShowGui()
	{
		DemoClientFrame frame = new DemoClientFrame();
		frame.redirectStandardOutputToWindow();
		
		ConnectionManager connectionManager = new UciConnectionManager();
		DemoClientViewModel viewModel = new DemoClientViewModel(connectionManager, frame);
		
		frame.setViewModel(viewModel);
		
		frame.setDefaultCloseOperation(DemoClientFrame.EXIT_ON_CLOSE);
		frame.getContentPane().setPreferredSize(frame.getSize());
		frame.pack();
		frame.setLocationRelativeTo(null);
		frame.setVisible(true);
	}
}
