package de.starface.examples.uci30.swing.model;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

/**
 * This class is used to read user config from a properties file, so that login and other parameters
 * don't have to be entered over and over again.
 * 
 * @author tilmann
 * 
 */
public class Config
{
	private static Properties properties;
	
	static
	{
		Properties temp = new Properties();
		try
		{
			temp.load(new FileInputStream(new File("DemoClient.properties")));
			temp.putAll(System.getProperties());
			properties = temp;
		}
		catch (FileNotFoundException e)
		{
			// No config file present
		}
		catch (IOException e)
		{
			System.out.println("Could not read config file.");
			e.printStackTrace();
		}
	}
	
	public static String getValue(String key, String defaultValue)
	{
		if (properties == null)
		{
			return defaultValue;
		}
		else
		{
			return properties.getProperty(key, defaultValue);
		}
	}
	
	public static String getValue(String key)
	{
		if (properties == null)
		{
			return "";
		}
		else
		{
			return properties.getProperty(key, "");
		}
	}
}
