/*
 * $Id: DateCellRenderer.java 851 2013-11-20 11:23:28Z dirk $
 * 
 * Copyright (C) by vertico software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * $LastChangedDate: 2013-11-20 12:23:28 +0100 (Mi, 20. Nov 2013) $ $LastChangedBy: dirk $
 * $LastChangedRevision: 851 $
 */
package de.starface.examples.uci30.swing.view;

import java.text.DateFormat;
import java.util.Date;

import javax.swing.table.DefaultTableCellRenderer;

/**
 * A table cell renderer for date objects
 * 
 * @author tilmann
 */
public class DateCellRenderer extends DefaultTableCellRenderer
{
	private static final long serialVersionUID = 1L;
	
	private DateFormat dateFormat;
	
	public DateCellRenderer()
	{
		super();
		dateFormat = DateFormat.getDateTimeInstance(DateFormat.SHORT, DateFormat.MEDIUM);
	}
	
	public void setValue(Object value)
	{
		if (value instanceof Date)
		{
			super.setValue(dateFormat.format(value));
		}
	}
	
}
