/*
 * $Id: MailboxesListCellRenderer.java 558 2011-05-10 17:29:54Z tilmann $
 * 
 * Copyright (C) by vertico software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * $LastChangedDate: 2011-05-10 19:29:54 +0200 (Di, 10 Mai 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 558 $
 */
package de.starface.examples.uci30.swing.view;

import java.awt.Component;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import org.apache.commons.lang.StringUtils;

import de.starface.integration.uci.java.v30.types.GroupSetting;
import de.starface.integration.uci.java.v30.values.GroupRestriction;

/**
 * A list cell renderer that renders a list of mailboxes
 * 
 * @author tilmann
 */
public class GroupSettingsListCellRenderer extends DefaultListCellRenderer implements ListCellRenderer
{
	private static final long serialVersionUID = 1L;
	
	@Override
	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected,
												  boolean cellHasFocus)
	{
		if (value instanceof GroupSetting)
		{
			value = ((GroupSetting) value).getName();
		}
		if (GroupRestriction.NON_GROUP.equals(value))
		{
			value = "Non Group";
		}
		else if (!(value instanceof String) || StringUtils.isEmpty((String) value))
		{
			value = " ";
		}
		return super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
	}
	
}
