/*
 * $Id: MailboxesListCellRenderer.java 1069 2014-11-06 12:37:15Z dirk $
 * 
 * Copyright (C) by vertico software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * $LastChangedDate: 2014-11-06 13:37:15 +0100 (Do, 06. Nov 2014) $ $LastChangedBy: dirk $
 * $LastChangedRevision: 1069 $
 */
package de.starface.examples.uci30.swing.view;

import java.awt.Component;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import org.apache.commons.lang.StringUtils;

import de.starface.integration.uci.java.v30.types.Mailbox;

/**
 * A list cell renderer that renders a list of mailboxes
 * 
 * @author tilmann
 */
public class MailboxesListCellRenderer extends DefaultListCellRenderer implements ListCellRenderer
{
	private static final long serialVersionUID = 1L;
	
	@Override
	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected,
												  boolean cellHasFocus)
	{
		if (value instanceof Mailbox)
		{
			value = ((Mailbox) value).getName();
		}
		else if (!(value instanceof String) || StringUtils.isEmpty((String) value))
		{
			value = " ";
		}
		return super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
	}
	
}
