/*
 * $Id: RedirectSettingsDestinationTypeCellEditor.java 851 2013-11-20 11:23:28Z dirk $
 * 
 * Copyright (C) by vertico software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * $LastChangedDate: 2013-11-20 12:23:28 +0100 (Mi, 20. Nov 2013) $ $LastChangedBy: dirk $
 * $LastChangedRevision: 851 $
 */
package de.starface.examples.uci30.swing.view;

import java.util.Vector;

import javax.swing.DefaultCellEditor;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.table.TableCellEditor;

import de.starface.integration.uci.java.v30.values.RedirectSettingDestinationType;

/**
 * A table cell editor for the destination type property of redirect settings
 * 
 * @author tilmann
 */
public class RedirectSettingsDestinationTypeCellEditor extends DefaultCellEditor implements TableCellEditor
{
	private static final long serialVersionUID = 1L;
	
	public RedirectSettingsDestinationTypeCellEditor()
	{
		super(new JComboBox());
		final Vector<String> destinationTypeNames = new Vector<String>();
		for (final RedirectSettingDestinationType destinationType : RedirectSettingDestinationType.values())
		{
			destinationTypeNames.add(destinationType.name());
		}
		((JComboBox) editorComponent).setModel(new DefaultComboBoxModel(destinationTypeNames));
	}
}
