package de.starface.examples.uci30.swing.viewmodel;

import java.io.File;
import java.net.URLConnection;

import javax.swing.filechooser.FileFilter;

public class ImageFileFilter extends FileFilter
{
	
	@Override
	public boolean accept(File f)
	{
		if (f.isDirectory())
		{
			return true;
		}
		
		String mimeType = URLConnection.guessContentTypeFromName(f.getAbsolutePath());
		if (mimeType != null)
		{
			if (mimeType.equals("image/jpeg") || mimeType.equals("image/gif") || mimeType.equals("image/png"))
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		
		return false;
	}
	
	@Override
	public String getDescription()
	{
		return "Image files (jpeg/png/gif)";
	}
	
}
