/*
 * Copyright (C) by STARFACE Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on Oct 31, 2014 by pburlov
 */
package de.starface.examples.uci30.swing.viewmodel;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.List;

import javax.swing.DefaultListModel;
import javax.swing.ListModel;

import de.starface.integration.uci.java.v30.exceptions.UciException;
import de.starface.integration.uci.java.v30.messages.requests.UciSystemRequests;
import de.starface.integration.uci.v30.client.UciServiceRequests;

/**
 * 
 */
public class PermissionsViewModel
{
	private UciSystemRequests uciSystemRequests;
	private DefaultListModel listPermissionsModel = new DefaultListModel();
	
	public void setUciServiceRequests(UciServiceRequests uciServiceRequests) throws UciException
	{
		this.uciSystemRequests = uciServiceRequests.getRequests(UciSystemRequests.class);
	}
	
	public ActionListener getRequestPermissionsActionListener()
	{
		return new ActionListener()
		{
			
			@Override
			public void actionPerformed(ActionEvent e)
			{
				doQueryPermissions();
			}
		};
	}
	
	protected void doQueryPermissions()
	{
		try
		{
			List<String> permissions = uciSystemRequests.getPermissions("");
			listPermissionsModel.clear();
			for (String p : permissions)
			{
				listPermissionsModel.addElement(p);
			}
		}
		catch (UciException e)
		{
			e.printStackTrace();
		}
		
	}
	
	public ListModel getPermissionListModel()
	{
		return listPermissionsModel;
	}
	
}
