package de.starface.examples.uci30.swing.viewmodel;

import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class Utils
{
	
	public static Object getProperty(Enum<?> property, Object object)
	{
		String propertyName = property.name();
		propertyName = propertyName.substring(0, 1).toUpperCase() + propertyName.substring(1);
		Method accessor;
		try
		{
			accessor = object.getClass().getMethod("get" + propertyName, (Class<?>[]) null);
		}
		catch (NoSuchMethodException e)
		{
			try
			{
				accessor = object.getClass().getMethod("is" + propertyName, (Class<?>[]) null);
			}
			catch (NoSuchMethodException e1)
			{
				// Really no fitting accessor :(
				throw new IllegalStateException("The type " + object.getClass().getName()
					+ " does not have an accessor for property " + propertyName);
			}
		}
		try
		{
			return accessor.invoke(object, (Object[]) null);
		}
		catch (Exception e)
		{
			throw new IllegalStateException("Could not invoke accessor " + accessor.getName() + " of type "
				+ object.getClass().getName(), e);
		}
	}
	
	@SuppressWarnings({ "unchecked", "rawtypes" })
	public static void setProperty(Enum<?> property, Object object, Object value)
	{
		String propertyName = property.name();
		propertyName = "set" + propertyName.substring(0, 1).toUpperCase() + propertyName.substring(1);
		for (Method accessor : object.getClass().getMethods())
		{
			if (accessor.getName().equals(propertyName) && accessor.getParameterTypes().length == 1)
			{
				if (Enum.class.isAssignableFrom(accessor.getParameterTypes()[0]) && value instanceof String)
				{
					value = Enum.valueOf((Class<Enum>) accessor.getParameterTypes()[0], (String) value);
				}
				try
				{
					accessor.invoke(object, value);
					return;
				}
				catch (Exception e)
				{
					throw new IllegalStateException("Could not invoke accessor " + accessor.getName()
						+ " of type " + object.getClass().getName(), e);
				}
			}
		}
		throw new IllegalStateException("The type " + object.getClass().getName()
			+ " does not have an accessor with name " + propertyName);
	}

	public static <T> T[] createArrayWithLeadingNull(T[] values)
	{
		List<T> list = new ArrayList<T>(values.length + 1);
		list.add(null);
		Collections.addAll(list, values);
		return list.toArray(values);
	}
}
