package de.starface.integration.uci.java.v22.exceptions;

/**
 * This exception indicates that that an argument given in a UCI request was invalid.
 * 
 * @author tilmann
 * 
 */
public class UciIllegalArgumentException extends UciException
{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Creates a new UciIllegalArgumentException
	 */
	public UciIllegalArgumentException()
	{
		super();
	}
	
	/**
	 * Creates a new UciIllegalArgumentException with the given message.
	 * 
	 * @param message
	 *        the message of the exception
	 */
	public UciIllegalArgumentException(String message)
	{
		super(message);
	}
	
	/**
	 * Creates a new UciIllegalArgumentException with the given message and cause.
	 * 
	 * @param message
	 *        the message of the exception
	 * @param cause
	 *        the cause of the exception
	 */
	public UciIllegalArgumentException(String message, Throwable cause)
	{
		super(message, cause);
	}
}
