/*
 * $Id: UcpGroupRequests.java 528 2011-03-18 12:02:13Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL:
 * http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/vertico/starface/integration/uci/
 * ucp/v21/server/UcpServerCommunicationCall.java $
 * 
 * $LastChangedDate: 2011-03-18 13:02:13 +0100 (Fr, 18 Mrz 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 528 $
 */
package de.starface.integration.uci.java.v22.messages.events;

import java.util.List;

import de.starface.com.rpc.annotation.RpcAsynchronous;
import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.com.rpc.annotation.RpcValueTranslation;
import de.starface.integration.uci.java.v22.UciService;
import de.starface.integration.uci.java.v22.UciServices;
import de.starface.integration.uci.java.v22.types.GroupSetting;
import de.starface.integration.uci.java.v22.ucp.messages.events.UcpGroupEvents;

/**
 * This interface defines the group events that can be received by a UCI client implementation in
 * order to handle group setting changes.
 * 
 * @author tilmann
 */
@UciService(UcpGroupEvents.SERVICE_NAME)
@RpcInterface(UcpGroupEvents.SERVICE_NAME)
@RpcValueTranslation(version = UciServices.UCI_VERSION)
public interface UciGroupEvents
{
	
	/**
	 * This event allows the UCI client to get informed when the state or number of the group
	 * settings change.
	 * 
	 * @param groupSettings
	 *        the new state of the group setting
	 */
	@RpcAsynchronous
	public void groupSettingsChanged(List<GroupSetting> groupSettings);
	
}
