package de.starface.integration.uci.java.v22.ucp.exceptions;

import de.starface.integration.uci.java.v22.exceptions.UciException;

/**
 * This message is thrown during an UCP procedure call if a communication error occurred.
 * 
 * @author tilmann
 * 
 */
public class UcpCommunicationException extends UciException
{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Creates a new UcpCommunicationException with the given message and cause.
	 */
	public UcpCommunicationException()
	{
		super();
	}
	
	/**
	 * Creates a new UcpCommunicationException with the given message and cause.
	 * 
	 * @param message
	 *        the message of the exception
	 */
	public UcpCommunicationException(String message)
	{
		super(message);
	}
	
	/**
	 * Creates a new UcpCommunicationException with the given message and cause.
	 * 
	 * @param message
	 *        the message of the exception
	 * @param cause
	 *        the cause of the exception
	 */
	public UcpCommunicationException(String message, Throwable cause)
	{
		super(message, cause);
	}
}
