/*
 * $Id: UcpVoicemailListEvents.java 542 2011-04-05 13:38:47Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL:
 * http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/vertico/starface/integration/uci/
 * ucp/v21/client/UcpClientCommunicationCall.java $
 * 
 * $LastChangedDate: 2011-04-05 15:38:47 +0200 (Di, 05. Apr 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 542 $
 */
package de.starface.integration.uci.java.v22.ucp.messages.events;

import java.util.Map;

import de.starface.com.rpc.annotation.RpcAsynchronous;
import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.integration.uci.java.v22.UciService;
import de.starface.integration.uci.java.v22.types.VoicemailListEntry;

/**
 * This interface defines voicemail list events that can be received by the UCI client
 * implementation in order to handle voicemail list entries.
 * 
 * @author tilmann
 */
@RpcInterface(UcpVoicemailListEvents.SERVICE_NAME)
@UciService(UcpVoicemailListEvents.SERVICE_NAME)
public interface UcpVoicemailListEvents
{
	
	/** The UCI service name used for this interface */
	public static final String SERVICE_NAME = "ucp.v22.events.voicemailList";
	
	/**
	 * This event allows the UCI client to get informed about new voicemail list entries being
	 * available.
	 * 
	 * @param voicemailListEntry
	 *        the new voicemail list entry with a {@link Map} containing the values defined in
	 *        {@link VoicemailListEntry}
	 */
	@RpcAsynchronous
	public void newVoicemailListEntry(Map<String, Object> voicemailListEntry);
}
