package de.starface.integration.uci.java.v22.values;

import de.starface.integration.uci.java.v22.ucp.messages.requests.UcpFunctionKeyRequests;
import de.starface.integration.uci.java.v22.ucp.messages.requests.UcpUserStateRequests;

/**
 * This enum holds the names of the properties of the images as returned by
 * {@link UcpFunctionKeyRequests#getImageForKey(String)} or
 * {@link UcpUserStateRequests#getAvatarImage()}
 * 
 * @author tilmann
 */
public enum ImageProperties
{
	/** The binary image data as array of {@link Byte} */
	data,
	
	/** The mime type of the image data as {@link String} */
	mimeType,
	
	/** The SHA-1 hash of the image data as {@link String} */
	hash;
}
