package de.starface.integration.uci.java.v30.types;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

@RpcValueObject
public class FmcPhone implements Serializable
{
	
	private static final long serialVersionUID = 36387062683863045L;
	
	@RpcValue(minVersion = 30)
	private int fmcId = 0;
	
	@RpcValue(minVersion = 30)
	private int telephoneId = 0;
	
	@RpcValue(minVersion = 30)
	private String number = "";
	
	@RpcValue(minVersion = 30)
	private int delay = 0;
	
	@RpcValue(minVersion = 30)
	private boolean active = false;
	
	@RpcValue(minVersion = 30)
	private boolean confirm = false;
	
	@RpcValue(minVersion = 30)
	private List<FmcScheduleEntry> schedules = new ArrayList<FmcScheduleEntry>();
	
	/**
	 * @return Returns the number of the fmc-device
	 */
	public String getNumber()
	{
		return number;
	}
	
	/**
	 * @param number
	 *        The number in numerical-only format!
	 */
	public void setNumber(String number)
	{
		this.number = number;
	}
	
	/**
	 * @return Returns the delay in seconds
	 */
	public int getDelay()
	{
		return delay;
	}
	
	/**
	 * @param delay
	 *        The delay in seconds to set.
	 */
	public void setDelay(int delay)
	{
		this.delay = delay;
	}
	
	/**
	 * @return Returns true if the fmc setting is active.
	 */
	public boolean isActive()
	{
		return active;
	}
	
	/**
	 * @param active
	 *        Set to true if the fmc setting shall be active
	 */
	public void setActive(boolean active)
	{
		this.active = active;
	}
	
	/**
	 * @return Returns if the system asks for pressing a key to confirm that the call-picker is not
	 *         a cell-phone mailbox
	 */
	public boolean isConfirm()
	{
		return confirm;
	}
	
	/**
	 * @param confirm
	 *        The set to true if the call-picker needs to confirm not being a mailbox by pressing a
	 *        key.
	 */
	public void setConfirm(boolean confirm)
	{
		this.confirm = confirm;
	}
	
	/**
	 * @return Returns the fmcId. Required for saving. Set to -1 for new settings.
	 */
	public int getFmcId()
	{
		return fmcId;
	}
	
	/**
	 * @param fmcId
	 *        The fmcId to set. Required for saving. Set to -1 for new settings.
	 */
	public void setFmcId(int fmcId)
	{
		this.fmcId = fmcId;
	}
	
	/**
	 * @return Returns the telephoneId. Required for saving. Set to -1 for new settings.
	 */
	public int getTelephoneId()
	{
		return telephoneId;
	}
	
	/**
	 * @param telephoneId
	 *        The telephoneId to set. Required for saving. Set to -1 for new settings.
	 */
	public void setTelephoneId(int telephoneId)
	{
		this.telephoneId = telephoneId;
	}
	
	/**
	 * @return Returns the schedules.
	 */
	public List<FmcScheduleEntry> getSchedules()
	{
		return schedules;
	}
	
	/**
	 * @param schedules
	 *        The schedules to set.
	 */
	public void setSchedules(List<FmcScheduleEntry> schedules)
	{
		this.schedules = schedules;
	}
	
}
