package de.starface.integration.uci.java.v30.types;

import java.io.Serializable;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;
import de.starface.integration.uci.java.v30.messages.requests.UciVoicemailListRequests;

/**
 * This object holds the properties of the mailboxes as returned by
 * {@link UciVoicemailListRequests#getMailboxes()}
 * 
 * @author tilmann
 */
@RpcValueObject
public class Mailbox implements Serializable
{
	private static final long serialVersionUID = 1L;
	
	/** The id of the mailbox */
	@RpcValue
	private String id;
	
	/** The display name of the mailbox for the current user */
	@RpcValue
	private String name;
	
	@Override
	public String toString()
	{
		return "Mailbox [id=" + id + ", name=" + name + "]";
	}
	
	public String getId()
	{
		return id;
	}
	
	public void setId(String id)
	{
		this.id = id;
	}
	
	public String getName()
	{
		return name;
	}
	
	public void setName(String name)
	{
		this.name = name;
	}
	
	@Override
	public int hashCode()
	{
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj)
	{
		if (this == obj) return true;
		if (obj == null) return false;
		if (getClass() != obj.getClass()) return false;
		Mailbox other = (Mailbox) obj;
		if (id == null)
		{
			if (other.id != null) return false;
		}
		else if (!id.equals(other.id)) return false;
		if (name == null)
		{
			if (other.name != null) return false;
		}
		else if (!name.equals(other.name)) return false;
		return true;
	}
	
}
