package de.starface.integration.uci.java.v30.ucp.messages.events;

import java.util.Map;

import de.starface.com.rpc.annotation.RpcAsynchronous;
import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.com.rpc.annotation.RpcValueTranslation;
import de.starface.integration.uci.java.v30.UciService;
import de.starface.integration.uci.java.v30.UciServices;

@UciService(UcpFmcPhoneEvents.SERVICE_NAME)
@RpcInterface(UcpFmcPhoneEvents.SERVICE_NAME)
@RpcValueTranslation(version = UciServices.UCI_VERSION)
public interface UcpFmcPhoneEvents
{
	/** The UCI service name used for this interface */
	public static final String SERVICE_NAME = "ucp.v30.events.fmcphone";
	
	/**
	 * This event provides Information about changes of FMC phones of this user.
	 * 
	 * @param phones
	 *        a list of all FMC phones of this user.
	 */
	@RpcAsynchronous
	public void fmcPhonesChangedEvent(Map<String, Object> phones);
}
