/*
 * $Id: UcpGroupRequests.java 528 2011-03-18 12:02:13Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL:
 * http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/vertico/starface/integration/uci/
 * ucp/v21/server/UcpServerCommunicationCall.java $
 * 
 * $LastChangedDate: 2011-03-18 13:02:13 +0100 (Fr, 18 Mrz 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 528 $
 */
package de.starface.integration.uci.java.v30.ucp.messages.events;

import java.util.List;
import java.util.Map;

import de.starface.com.rpc.annotation.RpcAsynchronous;
import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.integration.uci.java.v30.UciService;

/**
 * This interface defines the redirect events that can be received by a UCI client implementation in
 * order to handle redirect setting changes.
 * 
 * @author tilmann
 */
@UciService(UcpRedirectEvents.SERVICE_NAME)
@RpcInterface(UcpRedirectEvents.SERVICE_NAME)
public interface UcpRedirectEvents
{
	
	/** The UCI service name used for this interface */
	public static final String SERVICE_NAME = "ucp.v30.events.redirect";
	
	/**
	 * This event allows the UCI client to get informed when the state or number of the redirect
	 * settings change.
	 * 
	 * @param redirectSettings
	 *        the new state of the redirect setting
	 */
	@RpcAsynchronous
	public void redirectSettingsChanged(List<Map<String, Object>> redirectSettings);
	
}
