package de.starface.integration.uci.java.v30.values;

/**
 * This enum defines the different states a call info can take. The constants are used for the call
 * info state property {@link CallInfoProperties#state}.
 * 
 * @author tilmann
 */
public enum CallInfoState
{
	/** The Busy Lamp Field's user is being called and one of his phones is ringing */
	RINGING,
	
	/**
	 * The Busy Lamp Field's user is taking part in an incoming call that is connected or in an
	 * outgoing call
	 */
	ACTIVE,
	
	/** The Busy Lamp Field's user has a call that is set on hold. */
	ON_HOLD
}
