package de.starface.integration.uci.java.v30.values;

/**
 * This enum defines the different states a call can take. The constants are used for the call
 * property {@link CallProperties#state}.
 * 
 * @author tilmann
 */
public enum CcbsAccountState
{
	/**
	 * The account can at least activate one ccbs call.
	 */
	AVAILABLE,
	
	/**
	 * The account have one active ccbs call.
	 */
	ACTIVE,
	
	/**
	 * The account have no ccbs calls.
	 */
	INACTIVE
}
