package de.starface.integration.uci.java.v30.values;

/**
 * Properties of the Queue objects
 * 
 * @author mphilippi
 * 
 */
public enum QueueSettingProperties
{
	/**
	 * The ID of this queue for the database
	 */
	id(Integer.class),
	/**
	 * The Account ID of the group behind the queue
	 */
	accountId(Integer.class),
	/**
	 * The size of the queue
	 */
	size(Integer.class),
	/**
	 * The maximum waiting time until a waiting caller becomes disconnected
	 */
	maxWaitingTime(Integer.class),
	/**
	 * The Name of the Queue
	 */
	name(String.class);
	
	private Class<?> type;
	
	private QueueSettingProperties(Class<?> type)
	{
		this.type = type;
	}
	
	/**
	 * @return the java type of the property
	 */
	public Class<?> getType()
	{
		return type;
	}
}
