/*
 * $$Id$$
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on ${date} by ${user}
 * 
 * $$HeadURL$$
 * 
 * $$LastChangedDate$$ $$LastChangedBy$$ $$LastChangedRevision$$
 */
package de.starface.integration.uci.java.v30.values;

import de.starface.integration.uci.java.v30.types.SoftPhoneConfig;

/**
 * Properties of the {@link SoftPhoneConfig} objects
 * 
 * @author tpfeifer
 * 
 */
public enum SoftPhoneConfigProperties
{
	/**
	 * The credential property user
	 */
	sipUserId(String.class),
	/**
	 * The credential property password
	 */
	sipPassword(String.class),
	/**
	 * The SIP Realm (server IP)
	 */
	sipIP(String.class),
	/**
	 * The SIP-port
	 */
	sipPort(Integer.class);
	
	private Class<?> type;
	
	private SoftPhoneConfigProperties(Class<?> type)
	{
		this.type = type;
	}
	
	/**
	 * @return the java type of the property
	 */
	public Class<?> getType()
	{
		return type;
	}
}
