/*
 * $$Id$$
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on ${date} by ${user}
 * 
 * $$HeadURL$$
 * 
 * $$LastChangedDate$$ $$LastChangedBy$$ $$LastChangedRevision$$
 */
package de.starface.integration.uci.java.v30.values;

import de.starface.integration.uci.java.v30.types.SoftPhoneSetting;

/**
 * Properties of the {@link SoftPhoneSetting} objects
 * 
 * @author tpfeifer
 * 
 */
public enum SoftPhoneSettingProperties
{
	/**
	 * The NatType: Yes to use NAT, No to not use NAT, or Default for server-default
	 */
	natType(String.class),
	
	/**
	 * The softPhoneId
	 */
	softPhoneId(String.class),

	/**
	 * The supported codecs as comma seperated String
	 */
	codecs(String.class);
	
	private Class<?> clazz;
	
	private SoftPhoneSettingProperties(Class<?> type)
	{
		this.clazz = type;
	}
	
	/**
	 * @return the java type of the property
	 */
	public Class<?> getType()
	{
		return clazz;
	}
}
